
QGIS Application - Bug report #10433

QGIS master crashes when changing symbology

2014-06-03 07:37 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18847

Description

New description:

Tested on master on both Windows and Linux.

open this project made by Anita

https://drive.google.com/folderview?id=0Bwc-5JFVTnfIZkZOM3Y0Um9jOHc&#38;usp=sharing

and change the symbology of the layer called "multipolygons" from rule base to single symbol.

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

Warning: Loading a file that was saved with an older version of qgis (saved in 2.2.0-Valmiera, loaded in 2.3.0-Master). Problems

may occur.

GEOS warning: Self-intersection at or near point 909073.26522309636 2095815.8060115243

GEOS warning: Self-intersection at or near point 894426.06581488054 2106069.5337721412

GEOS warning: Self-intersection at or near point 911802.96876037633 2097406.9191287858

GEOS warning: Self-intersection at or near point 886000.99198600953 2103401.9818586209

GEOS warning: Self-intersection at or near point 903585.20140240563 2106595.1749260328

GEOS warning: Self-intersection at or near point 901442.37412997242 2111237.8998332215

GEOS warning: Self-intersection at or near point 885841.28308399534 2106802.8968520272

GEOS warning: Self-intersection at or near point 911496.03897989483 2104540.8620339474

Warning 1: Self-intersection at or near point 909073.26522309636 2095815.8060115243

Warning 1: Self-intersection at or near point 895919.72984419554 2108386.8331643334

Warning 1: Hole lies outside shell at or near point 893127.41395432595 2105139.0571857253

Warning 1: Self-intersection at or near point 892442.88174356392 2108032.0911134644

Warning 1: Self-intersection at or near point 895180.78947957687 2109404.8558567865

Warning 1: Self-intersection at or near point 894426.06581488054 2106069.5337721412

ERROR 1: Shell is not a LinearRing

ERROR 1: IllegalArgumentException: geometries must not contain null elements

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7fde427fc700 (LWP 10803)]

[New Thread 0x7fde49d75700 (LWP 10796)]

[New Thread 0x7fdeacd03700 (LWP 10788)]

[New Thread 0x7fdead61c700 (LWP 10787)]

0x00007fdec8de1a43 in poll () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7fded00a67c0 (LWP 10786))]
#0  0x00007fdec8de1a43 in poll () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00007fdec785bff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#2  0x00007fdec785c124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#3  0x00007fdecb9ef3bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#4  0x00007fdecadead9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#5  0x00007fdecb9bec82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#6  0x00007fdecb9beed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#7  0x00007fdecb212976 in QDialog::exec() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#8  0x000000000052234b in QgisApp::showLayerProperties(QgsMapLayer*) ()

No symbol table info available.

#9  0x00000000005226f4 in QgisApp::layerTreeViewDoubleClicked(QModelIndex const&) ()

No symbol table info available.

#10 0x00000000007f5efe in ?? ()

No symbol table info available.

#11 0x00007fdecb9d4281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#12 0x00007fdecb268b15 in QAbstractItemView::doubleClicked(QModelIndex const&) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007fdecb2b4ee5 in QTreeView::mouseDoubleClickEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00007fdecad9315e in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0x00007fdecb1533f6 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x00007fdecb2678db in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#17 0x00007fdecb2af4f5 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0x00007fdecb9c0028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#19 0x00007fdecad4285f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007fdecad480bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007fdecca4bfb6 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#22 0x00007fdecb9bfe9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#23 0x00007fdecad43862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

2024-04-05 2/6



QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007fdecadc2c35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0x00007fdecadc1bee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007fdecadeb112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x00007fdec785bd13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#28 0x00007fdec785c060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#29 0x00007fdec785c124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#30 0x00007fdecb9ef3bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#31 0x00007fdecadead9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#32 0x00007fdecb9bec82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#33 0x00007fdecb9beed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#34 0x00007fdecb9c3f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#35 0x00000000004ee9c1 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

Related issues:

Related to QGIS Application - Bug report # 10471: Segmentation fault while zo... Closed 2014-06-05

History

#1 - 2014-06-03 08:15 AM - Giovanni Manghi

it is crashing also after changing symbology in a layer (after pressing ok).

giovanni@sibirica ~/Desktop $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

QThreadPool max thread count is 4

QThreadPool max thread count is 4

QThreadPool max thread count is 4

Warning 1: Self-intersection at or near point 909073.26522309636 2095815.8060115243

Warning 1: Self-intersection at or near point 894425.67899839859 2106069.6896457747

Warning 1: Self-intersection at or near point 910038.62257963687 2106384.4722659425

Warning 1: Self-intersection at or near point 911802.96876037633 2097406.9191287858

Warning 1: Self-intersection at or near point 886001.26849474746 2103403.8539990629

Warning 1: Self-intersection at or near point 901442.37412997242 2111237.8998332215
Warning 1: Self-intersection at or near point 885827.59540668118 2107037.3921310552

Warning 1: Self-intersection at or near point 911496.03897989483 2104540.8620339474

Warning 1: Self-intersection at or near point 895463.00483970519 2111035.8812654032

QThreadPool max thread count is 4

Warning 1: Self-intersection at or near point 894508.44024130236 2108704.4571052287

Warning 1: Self-intersection at or near point 894554.86521905288 2107942.235149838

Warning 1: Self-intersection at or near point 909073.26522309636 2095815.8060115243

Warning 1: Self-intersection at or near point 894425.67899839859 2106069.6896457747

Warning 1: Self-intersection at or near point 909079.75457222934 2105974.2554204217

ERROR 1: Shell is not a LinearRing

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7eff637fe700 (LWP 12555)]

[New Thread 0x7eff63fff700 (LWP 12554)]

[New Thread 0x7eff708fc700 (LWP 12553)]

[New Thread 0x7eff7d83e700 (LWP 12552)]

[New Thread 0x7eff7e89d700 (LWP 12548)]

[New Thread 0x7effcb90d700 (LWP 12546)]

[New Thread 0x7effcc226700 (LWP 12545)]

0x00007effe79eba43 in poll () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7effeefb67c0 (LWP 12544))]

#0  0x00007effe79eba43 in poll () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00007effe6248ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#2  0x00007effe6249124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#3  0x00007effea5f93bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#4  0x00007effe99f4d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#5  0x00007effea5c8c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#6  0x00007effea5c8ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#7  0x00007effea5cdf67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#8  0x0000000000560206 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

#2 - 2014-06-03 08:16 AM - Giovanni Manghi

Giovanni Manghi wrote:

it is crashing also after changing symbology in a layer (after pressing ok).
on Windows too

#3 - 2014-06-03 08:16 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#4 - 2014-06-03 09:30 PM - Martin Dobias

Cannot confirm the crashes (ubuntu 14.04, self-compiled)

#5 - 2014-06-04 12:20 AM - Giovanni Manghi

Martin Dobias wrote:

Cannot confirm the crashes (ubuntu 14.04, self-compiled)

I have this issue only on ubuntu 12.04 (installed from the nightly build repo on top of ubuntugis), so it may be an issue specific to this platform version.

Anyway I can confirm the crash (on Windows and ubuntu 14.04) when changing symobology :

open this project made by Anita

https://drive.google.com/folderview?id=0Bwc-5JFVTnfIZkZOM3Y0Um9jOHc&#38;usp=sharing

and change the symbology of the layer called "multipolygons" from rule base to single symbol.

#6 - 2014-06-09 06:28 AM - Giovanni Manghi

- Subject changed from QGIS master crashes (on Ubuntu) when clicking "Ok" in general options to QGIS master crashes when changing symbology

- Category set to Symbology

#7 - 2014-06-10 06:42 AM - Martin Dobias

I can replicate the issue after changing the symbology to single symbol renderer.

Seems to be related to labeling.

By disabling the changes in qgspallabeling.cpp introduced with #9655 the crashes seem to go away.

#8 - 2014-06-10 07:52 AM - Giovanni Manghi

Seems to be related to labeling.

disabling the labels on the "multipolygons" layer and then changing the style does not crash anymore.

So it seems that this can be closed in favor of a new one about the specific label issue.

#9 - 2014-06-10 05:13 PM - Alvaro Huarte
- Pull Request or Patch supplied changed from No to Yes

Hi, the layer has many invalid or empty multipolygons (e.g. Fid=132), the simplification of empty geometries had a bug.

This PR ( https://github.com/qgis/QGIS/pull/1442 ) fixes it. 

Best Regards

#10 - 2014-06-10 10:14 PM - Martin Dobias

- Status changed from Open to Closed

Fixed by Alvaro in commit:f520f312390d93f55588e92859856705bea78f5e
